forrest-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Crossley <cross...@apache.org>
Subject Re: "Could not find component for role" after upgrading to 0.8
Date Wed, 25 Apr 2007 02:46:13 GMT
Brolin Empey wrote:
> Hello,
> 
> I wanted to be able to use Forrest 0.8 to successfully build a site
> that worked with Forrest 0.7.
> 
> I started this project last week, so I may have forgotten some of the
> things I did.
> 
> I changed $FORREST_HOME to point to Forrest 0.8 instead of 0.7. "type
> forrest" in bash confirms that "forrest" runs Forrest 0.8.
> 
> I then tried to follow the directions in
> http://forrest.apache.org/docs_0_80/upgrading_08.html .  I copied
> locationmap.xml .  I did not know what to do about the "Forrest
> configuration simplification" step. I ran "forrest clean-work".
> 
> When I run "forrest" I get this line after the Cocoon header block:
> 
> X [0]                                     linkmap.html  BROKEN: Could
> not find component for role:
> [org.apache.cocoon.components.modules.input.InputModule/project]
> (Key='org.apache.cocoon.components.modules.input.InputModule/project')
> 
> The build is aborted after this failure.
> 
> What can I do?

That error sounds like you need to follow the upgrade
instructions and do the bit that you missed.

Do you have a "project sitemap" or your own "plugin"?

If so then follow the "Forrest configuration simplification"
step. See the last item which refers to a properties module
called "project" which is what your error message says.

Is this a skins-based site, or is it using an early
version of the whiteboard Dispatcher in development?

-David

Mime
View raw message